buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Boisvert (JIRA)" <j...@apache.org>
Subject [jira] Updated: (BUILDR-541) OpenJPA mapping_tool is broken
Date Fri, 22 Oct 2010 14:08:17 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-541?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alex Boisvert updated BUILDR-541:
---------------------------------

    Fix Version/s: 1.4.4

> OpenJPA mapping_tool is broken
> ------------------------------
>
>                 Key: BUILDR-541
>                 URL: https://issues.apache.org/jira/browse/BUILDR-541
>             Project: Buildr
>          Issue Type: Bug
>          Components: Extensions
>    Affects Versions: 1.4.3
>         Environment: Win7, JRuby 1.5.1
>            Reporter: Tammo van Lessen
>             Fix For: 1.4.4
>
>
> BUILDR-508 introduced a regression for me. The mapping_tool fails to create the SQL scripts
as it cannot load some openJPA classes:
> Finding class org.apache.ode.dao.jpa.ActivityRecoveryDAOImpl
> Resource org/apache/ode/dao/jpa/ActivityRecoveryDAOImpl.class loaded from ant loader
> Couldn't load Resource org/apache/openjpa/enhance/PersistenceCapable.class
> 931  ode-unit-test-embedded  INFO   [main] openjpa.MetaData - The class "org.apache.ode.dao.jpa.ActivityRecoveryDAOImpl"
listed in the openjpa.MetaDataFactory configuration property could not be loaded; ignoring.
> Interestingly, the last few log entries (--trace=ant) show this:
> Finding class org.apache.openjpa.enhance.PersistenceCapable
> Loaded from C:\Users\vanto\.m2\repository\org\apache\openjpa\openjpa\1.0.1\openjpa-1.0.1.jar
org/apache/openjpa/enhance/PersistenceCapable.class
> Class org.apache.openjpa.enhance.PersistenceCapable loaded from ant loader (parentFirst)
> A "puts requires.join(File::PATH_SEPARATOR)" in mapping_tools prints the following:
> C:/Users/vanto/.m2/repository/org/apache/openjpa/openjpa/1.0.1/openjpa-1.0.1.jar;C:/Users/vanto/.m2/repository/commons-collections/commons-collections/3.1/commons-collections-3.1.jar;C:/Users/vanto/.m2/repository/commons-dbcp/commons-dbcp/1.2.1/commons-dbcp-1.2.1.jar;C:/Users/vanto/.m2/repository/commons-lang/commons-lang/2.1/commons-lang-2.1.jar;C:/Users/vanto/.m2/repository/commons-pool/commons-pool/1.2/commons-pool-1.2.jar;C:/Users/vanto/.m2/repository/javax/persistence/persistence-api/1.0/persistence-api-1.0.jar;C:/Users/vanto/.m2/repository/org/apache/geronimo/specs/geronimo-j2ee-connector_1.5_spec/1.0/geronimo-j2ee-connector_1.5_spec-1.0.jar;C:/Users/vanto/.m2/repository/org/apache/geronimo/specs/geronimo-jta_1.0.1B_spec/1.0/geronimo-jta_1.0.1B_spec-1.0.jar;C:/Users/vanto/.m2/repository/net/sourceforge/serp/serp/1.11.0/serp-1.11.0.jar
> A windows path/backslash issue?
> Reverting BUILDR-508, i.e. re-adding "Java.classpath << REQUIRES" to openjpa.rb
fixes this issue.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message